%bcond_without tests
%bcond_without weak_deps

%global debug_package %{nil}
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      ros2action

%define agiros_distro loong
Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        0.18.10
Release:        1%{?dist}%{?release_suffix}
Summary:        ROS ros2action package

License:        Apache License 2.0
Source0:        %{name}_%{version}.orig.tar.gz

Requires: agiros-%{agiros_distro}-rclpy
Requires: agiros-%{agiros_distro}-ros2cli
Requires: agiros-%{agiros_distro}-action-msgs
Requires: agiros-%{agiros_distro}-ament-index-python
Requires: agiros-%{agiros_distro}-rosidl-runtime-py
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: agiros-%{agiros_distro}-rclpy
BuildRequires: agiros-%{agiros_distro}-ros2cli
BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-ament-copyright
BuildRequires: agiros-%{agiros_distro}-ament-flake8
BuildRequires: agiros-%{agiros_distro}-ament-pep257
BuildRequires: agiros-%{agiros_distro}-ament-xmllint
BuildRequires: agiros-%{agiros_distro}-launch
BuildRequires: agiros-%{agiros_distro}-launch-testing
BuildRequires: agiros-%{agiros_distro}-launch-testing-ros
BuildRequires: python3-pytest
BuildRequires: python3-pytest-timeout
BuildRequires: agiros-%{agiros_distro}-test-msgs
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description

    The action command for ROS 2 command line tools.
  

%prep
%autosetup -p1

%build

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_install -- --prefix "/opt/agiros/%{agiros_distro}"
find %{buildroot} -name '*.so' -exec patchelf --remove-rpath {} \;

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 Aditya Pande aditya.pande@openrobotics.org - 0.18.10-1
- Autogenerated by ros-porting-tools
